File perl-Workflow.spec of Package perl-Workflow

#
# spec file for package perl-Workflow
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Workflow
Name:           perl-Workflow
Version:        1.620.0
Release:        0
# 1.62 -> normalize -> 1.620.0
%define cpan_version 1.62
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Simple, flexible system to implement workflows
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JO/JONASBN/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Accessor) >= 0.18
BuildRequires:  perl(Class::Factory) >= 1.00
BuildRequires:  perl(DBD::Mock) >= 0.10
BuildRequires:  perl(DBI)
BuildRequires:  perl(Data::UUID)
BuildRequires:  perl(DateTime) >= 0.15
BuildRequires:  perl(DateTime::Format::Strptime) >= 1.00
BuildRequires:  perl(Exception::Class) >= 1.10
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Log::Log4perl) >= 0.34
BuildRequires:  perl(Mock::MonkeyPatch)
BuildRequires:  perl(Pod::Coverage::TrustPod)
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Kwalitee) >= 1.21
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Pod) >= 1.41
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  perl(XML::Simple) >= 2.00
Requires:       perl(Class::Accessor) >= 0.18
Requires:       perl(Class::Factory) >= 1.00
Requires:       perl(DBI)
Requires:       perl(Data::UUID)
Requires:       perl(DateTime) >= 0.15
Requires:       perl(DateTime::Format::Strptime) >= 1.00
Requires:       perl(Exception::Class) >= 1.10
Requires:       perl(File::Slurp)
Requires:       perl(Log::Log4perl) >= 0.34
Requires:       perl(Readonly)
Requires:       perl(XML::Simple) >= 2.00
Provides:       perl(Workflow) = %{version}
Provides:       perl(Workflow::Action) = %{version}
Provides:       perl(Workflow::Action::InputField) = %{version}
Provides:       perl(Workflow::Action::Mailer) = %{version}
Provides:       perl(Workflow::Action::Null) = %{version}
Provides:       perl(Workflow::Base) = %{version}
Provides:       perl(Workflow::Condition) = %{version}
Provides:       perl(Workflow::Condition::CheckReturn) = %{version}
Provides:       perl(Workflow::Condition::Evaluate) = %{version}
Provides:       perl(Workflow::Condition::GreedyOR) = %{version}
Provides:       perl(Workflow::Condition::HasUser) = %{version}
Provides:       perl(Workflow::Condition::LazyAND) = %{version}
Provides:       perl(Workflow::Condition::LazyOR) = %{version}
Provides:       perl(Workflow::Condition::Negated) = %{version}
Provides:       perl(Workflow::Condition::Nested) = %{version}
Provides:       perl(Workflow::Config) = %{version}
Provides:       perl(Workflow::Config::Perl) = %{version}
Provides:       perl(Workflow::Config::XML) = %{version}
Provides:       perl(Workflow::Context) = %{version}
Provides:       perl(Workflow::Exception) = %{version}
Provides:       perl(Workflow::Factory) = %{version}
Provides:       perl(Workflow::History) = %{version}
Provides:       perl(Workflow::Persister) = %{version}
Provides:       perl(Workflow::Persister::DBI) = %{version}
Provides:       perl(Workflow::Persister::DBI::AutoGeneratedId) = %{version}
Provides:       perl(Workflow::Persister::DBI::ExtraData) = %{version}
Provides:       perl(Workflow::Persister::DBI::SequenceId) = %{version}
Provides:       perl(Workflow::Persister::File) = %{version}
Provides:       perl(Workflow::Persister::RandomId) = %{version}
Provides:       perl(Workflow::Persister::SPOPS) = %{version}
Provides:       perl(Workflow::Persister::UUID) = %{version}
Provides:       perl(Workflow::State) = %{version}
Provides:       perl(Workflow::Validator) = %{version}
Provides:       perl(Workflow::Validator::HasRequiredField) = %{version}
Provides:       perl(Workflow::Validator::InEnumeratedType) = %{version}
Provides:       perl(Workflow::Validator::MatchesDateFormat) = %{version}
%undefine       __perllib_provides
Recommends:     perl(SPOPS)
%{perl_requires}

%description
Simple, flexible system to implement workflows

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes.md CONTRIBUTING.md README
%license LICENSE

%changelog
openSUSE Build Service is sponsored by